<?php
/*
//================================================================================
* Novahq.net Heartbeat DLL PHP Status Script *
//================================================================================
:- First Build: August 22nd 2017
:- Last Build: August 30th 2017
:- Author: Scott Lucht <scott@novahq.net> http://www.novahq.net
:- Compatibility: DF1 / DF2 / DFLW / DFTFD / DFBHD+TS / TIOCoop (Windows XP to Windows 10)
:- Copyright (c) 2017 All Rights Reserved
:-
:- This program is distributed in the hope that it will be useful,
:- but WITHOUT ANY WARRANTY; without even the implied warranty of
:- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
:-
:- PUBLIC RELEASE: You may share or make modifications to this file
:- as long as this Readme.txt file is included with your distribution
:- 
:- PRIVATE RELEASE: Contact me for info
:-
//================================================================================
* Description
//================================================================================
:- NovaHQ Heartbeat DLL sends your games information to alternate game lobbies
:- such as nw.novahq.net and novaworld.cc. This DLL also has the ability to send
:- game status information to your own website. This PHP script is a full example
:- on how to use that feature. You may distribute your own version of the *.ini
:- file(s) that are included with the Heartbeat DLL download that has your own
:- lobby URL  already added. The Heartbeat DLL was created to ensure that these 
:- classic games can live on forever even without NovaLogic or THQ Nordic.
:- This PHP Script is only compatible with the Heartbeat DLL >= 1.0.5
//================================================================================
* Installation
//================================================================================
:- Upload the PHP files to a location on your website. Setup your MySQL database
:- in your control panel and record the username and password. Open the config.php
:- file and enter your database information and adjust a few of the variables to
:- your liking. Navigate to the folder you uploaded the files to on your website,
:- and run the install.php file in your browser. Once that is done, DELETE the 
:- install.php file and you're ready to go.
//================================================================================
* Bug Reports
//================================================================================
:- If you have any issues with this script, please post in the Novahq.net Forums
:- This script was tested with PHP 5.6, PHP 7.0, 7.1 and 7.2 beta.
//================================================================================
* Change log
//================================================================================
:- Version 1.0.0
:-		1) Initial Release (Compatible with Heartbeat DLL >= 1.0.5)
:-
:- Version 1.0.1
:-		1) Fixed direct access to global.php issue
:-		2) Add version to debug
*/

//Your Database Host (Almost always localhost)
$MySql_Host = "localhost";

//Your Database Username
$MySql_User = "root";

//Your Database Password
$MySql_Pass = "password";

//Your Database Name
$MySql_Db = "database";

//Database Table Name
//Leave as is unless you know what you're doing
$MySql_Table = "dll_status"; 

//The DLL reports server status every 30 seconds. 
//Enter the number of seconds before a non-reporting
//Server is considered stale. ~45-60 are good numbers.
//If set below 30 seconds, it may not always show the server
$Expire_Seconds = 60;

//If you leave this blank, the DLL will specify the game id
//Otherwise, specify one: df, df2, dflw, dftfd, dfbhd
$Expected_Game = ""; 

//Open your Netsock.ini, Netcomm.ini or APIClient.ini file
//And change the AltLobbyKey to something unique to you
//Then enter that same key here. You must close and restart
//Your game before it becomes active. 
$Secret_Key = "SECRET_KEY"; 

//Show the "Join Now" link true or false;
//Only works if you have an ibrowse compatible lobby system
$Show_Join_Link = false;

//If you're having issues with getting your server to display
//on the status page, set this to true and make sure the directory
//the script is in is writeable chmod 777. Output will be displayed
//in the debug.log file where ever the import.php file is.
//Visit Novahq.net for help once you have a log file.
//DO NOT leave this set to TRUE or the script WILL NOT WORK
$Debug_Mode = false; //TRUE OR FALSE!

//Leave this alone...
define('INSCRIPT', true);