<?php
/*
//================================================================================
* Novahq.net Heartbeat DLL PHP Status Script *
//================================================================================
:- First Build: August 22nd 2017
:- Last Build: August 30th 2017
:- Author: Scott Lucht <scott@novahq.net> http://www.novahq.net
:- Compatibility: DF1 / DF2 / DFLW / DFTFD / DFBHD+TS / TIOCoop (Windows XP to Windows 10)
:- Copyright (c) 2017 All Rights Reserved
:-
:- This program is distributed in the hope that it will be useful,
:- but WITHOUT ANY WARRANTY; without even the implied warranty of
:- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
:-
:- PUBLIC RELEASE: You may share or make modifications to this file
:- as long as this Readme.txt file is included with your distribution
:- 
:- PRIVATE RELEASE: Contact me for info
:-
//================================================================================
* Description
//================================================================================
:- NovaHQ Heartbeat DLL sends your games information to alternate game lobbies
:- such as nw.novahq.net and novaworld.cc. This DLL also has the ability to send
:- game status information to your own website. This PHP script is a full example
:- on how to use that feature. You may distribute your own version of the *.ini
:- file(s) that are included with the Heartbeat DLL download that has your own
:- lobby URL  already added. The Heartbeat DLL was created to ensure that these 
:- classic games can live on forever even without NovaLogic or THQ Nordic.
:- This PHP Script is only compatible with the Heartbeat DLL >= 1.0.5
//================================================================================
* Installation
//================================================================================
:- Upload the PHP files to a location on your website. Setup your MySQL database
:- in your control panel and record the username and password. Open the config.php
:- file and enter your database information and adjust a few of the variables to
:- your liking. Navigate to the folder you uploaded the files to on your website,
:- and run the install.php file in your browser. Once that is done, DELETE the 
:- install.php file and you're ready to go.
//================================================================================
* Bug Reports
//================================================================================
:- If you have any issues with this script, please post in the Novahq.net Forums
:- This script was tested with PHP 5.6, PHP 7.0, 7.1 and 7.2 beta.
//================================================================================
* Change log
//================================================================================
:- Version 1.0.0
:-		1) Initial Release (Compatible with Heartbeat DLL >= 1.0.5)
:-
:- Version 1.0.1
:-		1) Fixed direct access to global.php issue
:-		2) Add version to debug
*/

if(!defined('INSCRIPT')) 
	exit;

$Rev = "1.0.1";

if($Debug_Mode)
	ExitDebug(PHP_EOL.PHP_EOL.date("Y/m/d H:i:s", time())." Heartbeat ".$Rev." Log: ", false);

$Db = @new mysqli($MySql_Host, $MySql_User, $MySql_Pass, $MySql_Db);

if($Db->connect_errno)
	ExitDebug("<h1>Database Connection Failed!</h1>".$Db->connect_error, true);

function GameTimeToString($NovaTime) {

	if(!$NovaTime)
		return "00:00";

	if($NovaTime == "4294967295")
		return "--:--";

	$Seconds = $NovaTime / 60;

	if($Seconds >= 3600)
		return sprintf('%02d:%02d:%02d', ($Seconds/3600),($Seconds/60%60), $Seconds%60);

	return sprintf('%02d:%02d', ($Seconds/60%60), $Seconds%60);
}

function ExitDebug($Message, $DoExit=true) {
	global $Debug_Mode;

	if($Debug_Mode)
		@file_put_contents("./debug.log", $Message.PHP_EOL, FILE_APPEND);

	if($DoExit)
		exit($Message);

	echo $Message;

}